import 'package:flutter/material.dart';
import 'dart:async';
import 'package:flutter_teachstack_sdk/flutter_teachstack_sdk.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  Future<void> initPlatformState() async {
    await FlutterTeachstackSdk.liveClass(
        "https://video.teachmint.com/videoroom/teachmint::717995481/6194d019deddfeef8eebdc05/eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJyb29tX2lkIjoidGVhY2htaW50Ojo3MTc5OTU0ODEiLCJ1aWQiOiI2MTk0ZDAxOWRlZGRmZWVmOGVlYmRjMDUiLCJ1bmFtZSI6InJhbmRvbSIsInV0eXBlIjoxLCJleHAiOjE2NTA5MzY5MDJ9.8ztY9CbJWy3V0J87wwiGmClJhTbRY72hgmcuPuFDPYc");
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Teachstack SDK'),
        ),
        body: const Center(
          child: Text('Live Classroom'),
        ),
      ),
    );
  }
}
